<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns1="http://www.fpdsng.com/FPDS">
	<xsl:output version="1.0" method="text" indent="no" omit-xml-declaration="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="ns1:listOfAwards" >
			<xsl:for-each select="ns1:award" >
<xsl:text>&#10;</xsl:text><xsl:for-each select="@version">
					<xsl:value-of select="normalize-space(.)"/>
				</xsl:for-each>|<xsl:for-each select="ns1:awardID">
					<xsl:for-each select="ns1:awardContractID">
						<xsl:for-each select="ns1:agencyID">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|<xsl:for-each select="ns1:PIID">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|<xsl:for-each select="ns1:modNumber">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|<xsl:for-each select="ns1:transactionNumber">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|</xsl:for-each>
					<xsl:choose>
						<xsl:when test="ns1:referencedIDVID">
							<xsl:for-each select="ns1:referencedIDVID">
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:agencyID[1]/text()) or ns1:agencyID != null">
										<xsl:for-each select="ns1:agencyID">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:PIID[1]/text()) or ns1:PIID != null">
										<xsl:for-each select="ns1:PIID">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:modNumber[1]/text()) or ns1:modNumber != null">
										<xsl:for-each select="ns1:modNumber">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>|||</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<xsl:choose>
					<xsl:when test="ns1:relevantContractDates">
						<xsl:for-each select="ns1:relevantContractDates">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:signedDate[1]/text()) or ns1:signedDate != null">
									<xsl:for-each select="ns1:signedDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:effectiveDate[1]/text()) or ns1:effectiveDate != null">
									<xsl:for-each select="ns1:effectiveDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:currentCompletionDate[1]/text()) or ns1:currentCompletionDate != null">
									<xsl:for-each select="ns1:currentCompletionDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:ultimateCompletionDate[1]/text()) or ns1:ultimateCompletionDate != null">
									<xsl:for-each select="ns1:ultimateCompletionDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:dollarValues">
						<xsl:for-each select="ns1:dollarValues">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:obligatedAmount[1]/text()) or ns1:obligatedAmount != null">
									<xsl:for-each select="ns1:obligatedAmount">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:baseAndExercisedOptionsValue[1]/text()) or ns1:baseAndExercisedOptionsValue != null">
									<xsl:for-each select="ns1:baseAndExercisedOptionsValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:baseAndAllOptionsValue[1]/text()) or ns1:baseAndAllOptionsValue != null">
									<xsl:for-each select="ns1:baseAndAllOptionsValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:purchaserInformation">
						<xsl:for-each select="ns1:purchaserInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractingOfficeAgencyID[1]/text()) or ns1:contractingOfficeAgencyID != null">
									<xsl:for-each select="ns1:contractingOfficeAgencyID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractingOfficeID[1]/text()) or ns1:contractingOfficeID != null">
									<xsl:for-each select="ns1:contractingOfficeID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:fundingRequestingAgencyID[1]/text()) or ns1:fundingRequestingAgencyID != null">
									<xsl:for-each select="ns1:fundingRequestingAgencyID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:fundingRequestingOfficeID[1]/text()) or ns1:fundingRequestingOfficeID != null">
									<xsl:for-each select="ns1:fundingRequestingOfficeID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:purchaseReason[1]/text()) or ns1:purchaseReason != null">
									<xsl:for-each select="ns1:purchaseReason">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:fundedByForeignEntity[1]/text()) or ns1:fundedByForeignEntity != null">
									<xsl:for-each select="ns1:fundedByForeignEntity">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:contractMarketingData">
						<xsl:for-each select="ns1:contractMarketingData">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:feePaidForUseOfService[1]/text()) or ns1:feePaidForUseOfService != null">
									<xsl:for-each select="ns1:feePaidForUseOfService">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:contractData">
						<xsl:for-each select="ns1:contractData">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractActionType[1]/text()) or ns1:contractActionType != null">
									<xsl:for-each select="ns1:contractActionType">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfContractPricing[1]/text()) or ns1:typeOfContractPricing != null">
									<xsl:for-each select="ns1:typeOfContractPricing">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:nationalInterestActionCode[1]/text()) or ns1:nationalInterestActionCode != null">
									<xsl:for-each select="ns1:nationalInterestActionCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonForModification[1]/text()) or ns1:reasonForModification != null">
									<xsl:for-each select="ns1:reasonForModification">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:majorProgramCode[1]/text()) or ns1:majorProgramCode != null">
									<xsl:for-each select="ns1:majorProgramCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:costOrPricingData[1]/text()) or ns1:costOrPricingData != null">
									<xsl:for-each select="ns1:costOrPricingData">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:solicitationID[1]/text()) or ns1:solicitationID != null">
									<xsl:for-each select="ns1:solicitationID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:costAccountingStandardsClause[1]/text()) or ns1:costAccountingStandardsClause != null">
									<xsl:for-each select="ns1:costAccountingStandardsClause">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:descriptionOfContractRequirement[1]/text()) or ns1:descriptionOfContractRequirement != null">
									<xsl:for-each select="ns1:descriptionOfContractRequirement">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:GFE-GFP[1]/text()) or ns1:GFE-GFP != null">
									<xsl:for-each select="ns1:GFE-GFP">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:seaTransportation[1]/text()) or ns1:seaTransportation != null">
									<xsl:for-each select="ns1:seaTransportation">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:consolidatedContract[1]/text()) or ns1:consolidatedContract != null">
									<xsl:for-each select="ns1:consolidatedContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:letterContract[1]/text()) or ns1:letterContract != null">
									<xsl:for-each select="ns1:letterContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:multiYearContract[1]/text()) or ns1:multiYearContract != null">
									<xsl:for-each select="ns1:multiYearContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:performanceBasedServiceContract[1]/text()) or ns1:performanceBasedServiceContract != null">
									<xsl:for-each select="ns1:performanceBasedServiceContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contingencyHumanitarianPeacekeepingOperation[1]/text()) or ns1:contingencyHumanitarianPeacekeepingOperation != null">
									<xsl:for-each select="ns1:contingencyHumanitarianPeacekeepingOperation">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractFinancing[1]/text()) or ns1:contractFinancing != null">
									<xsl:for-each select="ns1:contractFinancing">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:purchaseCardAsPaymentMethod[1]/text()) or ns1:purchaseCardAsPaymentMethod != null">
									<xsl:for-each select="ns1:purchaseCardAsPaymentMethod">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:numberOfActions[1]/text()) or ns1:numberOfActions != null">
									<xsl:for-each select="ns1:numberOfActions">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||||||||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:legislativeMandates">
						<xsl:for-each select="ns1:legislativeMandates">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:WalshHealyAct[1]/text()) or ns1:WalshHealyAct != null">
									<xsl:for-each select="ns1:WalshHealyAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:serviceContractAct[1]/text()) or ns1:serviceContractAct != null">
									<xsl:for-each select="ns1:serviceContractAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:DavisBaconAct[1]/text()) or ns1:DavisBaconAct != null">
									<xsl:for-each select="ns1:DavisBaconAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:ClingerCohenAct[1]/text()) or ns1:ClingerCohenAct != null">
									<xsl:for-each select="ns1:ClingerCohenAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:productOrServiceInformation">
						<xsl:for-each select="ns1:productOrServiceInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:productOrServiceCode[1]/text()) or ns1:productOrServiceCode != null">
									<xsl:for-each select="ns1:productOrServiceCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractBundling[1]/text()) or ns1:contractBundling != null">
									<xsl:for-each select="ns1:contractBundling">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:claimantProgramCode[1]/text()) or ns1:claimantProgramCode != null">
									<xsl:for-each select="ns1:claimantProgramCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:principalNAICSCode[1]/text()) or ns1:principalNAICSCode != null">
									<xsl:for-each select="ns1:principalNAICSCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:recoveredMaterialClauses[1]/text()) or ns1:recoveredMaterialClauses != null">
									<xsl:for-each select="ns1:recoveredMaterialClauses">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:systemEquipmentCode[1]/text()) or ns1:systemEquipmentCode != null">
									<xsl:for-each select="ns1:systemEquipmentCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:informationTechnologyCommercialItemCategory[1]/text()) or ns1:informationTechnologyCommercialItemCategory != null">
									<xsl:for-each select="ns1:informationTechnologyCommercialItemCategory">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:useOfEPADesignatedProducts[1]/text()) or ns1:useOfEPADesignatedProducts != null">
									<xsl:for-each select="ns1:useOfEPADesignatedProducts">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:countryOfOrigin[1]/text()) or ns1:countryOfOrigin != null">
									<xsl:for-each select="ns1:countryOfOrigin">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:placeOfManufacture[1]/text()) or ns1:placeOfManufacture != null">
									<xsl:for-each select="ns1:placeOfManufacture">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:vendor">
						<xsl:for-each select="ns1:vendor">
							<xsl:choose>
								<xsl:when test="ns1:vendorHeader">
									<xsl:for-each select="ns1:vendorHeader">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorName[1]/text()) or ns1:vendorName != null">
												<xsl:for-each select="ns1:vendorName">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorAlternateName[1]/text()) or ns1:vendorAlternateName != null">
												<xsl:for-each select="ns1:vendorAlternateName">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorLegalOrganizationName[1]/text()) or ns1:vendorLegalOrganizationName != null">
												<xsl:for-each select="ns1:vendorLegalOrganizationName">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorDoingAsBusinessName[1]/text()) or ns1:vendorDoingAsBusinessName != null">
												<xsl:for-each select="ns1:vendorDoingAsBusinessName">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorEnabled[1]/text()) or ns1:vendorEnabled != null">
												<xsl:for-each select="ns1:vendorEnabled">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>|||||</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:vendorSocioEconomicIndicators">
									<xsl:for-each select="ns1:vendorSocioEconomicIndicators">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:smallBusinessFlag[1]/text()) or ns1:smallBusinessFlag != null">
												<xsl:for-each select="ns1:smallBusinessFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:firm8AFlag[1]/text()) or ns1:firm8AFlag != null">
												<xsl:for-each select="ns1:firm8AFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:HUBZoneFlag[1]/text()) or ns1:HUBZoneFlag != null">
												<xsl:for-each select="ns1:HUBZoneFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:SDBFlag[1]/text()) or ns1:SDBFlag != null">
												<xsl:for-each select="ns1:SDBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:shelteredWorkshopFlag[1]/text()) or ns1:shelteredWorkshopFlag != null">
												<xsl:for-each select="ns1:shelteredWorkshopFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:HBCUFlag[1]/text()) or ns1:HBCUFlag != null">
												<xsl:for-each select="ns1:HBCUFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:educationalInstitutionFlag[1]/text()) or ns1:educationalInstitutionFlag != null">
												<xsl:for-each select="ns1:educationalInstitutionFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:womenOwnedFlag[1]/text()) or ns1:womenOwnedFlag != null">
												<xsl:for-each select="ns1:womenOwnedFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:veteranOwnedFlag[1]/text()) or ns1:veteranOwnedFlag != null">
												<xsl:for-each select="ns1:veteranOwnedFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:SRDVOBFlag[1]/text()) or ns1:SRDVOBFlag != null">
												<xsl:for-each select="ns1:SRDVOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:localGovernmentFlag[1]/text()) or ns1:localGovernmentFlag != null">
												<xsl:for-each select="ns1:localGovernmentFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:minorityInstitutionFlag[1]/text()) or ns1:minorityInstitutionFlag != null">
												<xsl:for-each select="ns1:minorityInstitutionFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:AIOBFlag[1]/text()) or ns1:AIOBFlag != null">
												<xsl:for-each select="ns1:AIOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:stateGovernmentFlag[1]/text()) or ns1:stateGovernmentFlag != null">
												<xsl:for-each select="ns1:stateGovernmentFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:federalGovernmentFlag[1]/text()) or ns1:federalGovernmentFlag != null">
												<xsl:for-each select="ns1:federalGovernmentFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:minorityOwnedBusinessFlag[1]/text()) or ns1:minorityOwnedBusinessFlag != null">
												<xsl:for-each select="ns1:minorityOwnedBusinessFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:APAOBFlag[1]/text()) or ns1:APAOBFlag != null">
												<xsl:for-each select="ns1:APAOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:tribalGovernmentFlag[1]/text()) or ns1:tribalGovernmentFlag != null">
												<xsl:for-each select="ns1:tribalGovernmentFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:BAOBFlag[1]/text()) or ns1:BAOBFlag != null">
												<xsl:for-each select="ns1:BAOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:NAOBFlag[1]/text()) or ns1:NAOBFlag != null">
												<xsl:for-each select="ns1:NAOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:SAAOBFlag[1]/text()) or ns1:SAAOBFlag != null">
												<xsl:for-each select="ns1:SAAOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:nonprofitOrganizationFlag[1]/text()) or ns1:nonprofitOrganizationFlag != null">
												<xsl:for-each select="ns1:nonprofitOrganizationFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:HAOBFlag[1]/text()) or ns1:HAOBFlag != null">
												<xsl:for-each select="ns1:HAOBFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:verySmallBusinessFlag[1]/text()) or ns1:verySmallBusinessFlag != null">
												<xsl:for-each select="ns1:verySmallBusinessFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:hospitalFlag[1]/text()) or ns1:hospitalFlag != null">
												<xsl:for-each select="ns1:hospitalFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:numberOfEmployees[1]/text()) or ns1:numberOfEmployees != null">
												<xsl:for-each select="ns1:numberOfEmployees">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:annualRevenue[1]/text()) or ns1:annualRevenue != null">
												<xsl:for-each select="ns1:annualRevenue">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:organizationalType[1]/text()) or ns1:organizationalType != null">
												<xsl:for-each select="ns1:organizationalType">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>||||||||||||||||||||||||||||</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:vendorLocation">
									<xsl:for-each select="ns1:vendorLocation">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:streetAddress[1]/text()) or ns1:streetAddress != null">
												<xsl:for-each select="ns1:streetAddress">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:streetAddress2[1]/text()) or ns1:streetAddress2 != null">
												<xsl:for-each select="ns1:streetAddress2">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:streetAddress3[1]/text()) or ns1:streetAddress3 != null">
												<xsl:for-each select="ns1:streetAddress3">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:city[1]/text()) or ns1:city != null">
												<xsl:for-each select="ns1:city">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:state[1]/text()) or ns1:state != null">
												<xsl:for-each select="ns1:state">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:ZIPCode[1]/text()) or ns1:ZIPCode != null">
												<xsl:for-each select="ns1:ZIPCode">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:countryCode[1]/text()) or ns1:countryCode != null">
												<xsl:for-each select="ns1:countryCode">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorSiteCode[1]/text()) or ns1:vendorSiteCode != null">
												<xsl:for-each select="ns1:vendorSiteCode">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorAlternateSiteCode[1]/text()) or ns1:vendorAlternateSiteCode != null">
												<xsl:for-each select="ns1:vendorAlternateSiteCode">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:DUNSNumber[1]/text()) or ns1:DUNSNumber != null">
												<xsl:for-each select="ns1:DUNSNumber">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:parentDUNSNumber[1]/text()) or ns1:parentDUNSNumber != null">
												<xsl:for-each select="ns1:parentDUNSNumber">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:phoneNo[1]/text()) or ns1:phoneNo != null">
												<xsl:for-each select="ns1:phoneNo">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:faxNo[1]/text()) or ns1:faxNo != null">
												<xsl:for-each select="ns1:faxNo">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:divisionName[1]/text()) or ns1:divisionName != null">
												<xsl:for-each select="ns1:divisionName">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:divisionNumberOrOfficeCode[1]/text()) or ns1:divisionNumberOrOfficeCode != null">
												<xsl:for-each select="ns1:divisionNumberOrOfficeCode">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:congressionalDistrict[1]/text()) or ns1:congressionalDistrict != null">
												<xsl:for-each select="ns1:congressionalDistrict">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:registrationDate[1]/text()) or ns1:registrationDate != null">
												<xsl:for-each select="ns1:registrationDate">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:renewalDate[1]/text()) or ns1:renewalDate != null">
												<xsl:for-each select="ns1:renewalDate">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:vendorLocationDisabledFlag[1]/text()) or ns1:vendorLocationDisabledFlag != null">
												<xsl:for-each select="ns1:vendorLocationDisabledFlag">
													<xsl:value-of select="normalize-space	(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>|||||||||||||||||||</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:contractorName">
									<xsl:for-each select="ns1:contractorName">
										<xsl:value-of select="normalize-space	(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:CCRException">
									<xsl:for-each select="ns1:CCRException">
										<xsl:value-of select="normalize-space	(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:contractingOfficerBusinessSizeDetermination">
									<xsl:for-each select="ns1:contractingOfficerBusinessSizeDetermination">
										<xsl:value-of select="normalize-space	(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||||||||||||||||||||||||||||||||||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:placeOfPerformance">
						<xsl:for-each select="ns1:placeOfPerformance">
							<xsl:choose>
								<xsl:when test="ns1:principalPlaceOfPerformance">
									<xsl:for-each select="ns1:principalPlaceOfPerformance">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:locationCode[1]/text()) or ns1:locationCode != null">
												<xsl:for-each select="ns1:locationCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:stateCode[1]/text()) or ns1:stateCode != null">
												<xsl:for-each select="ns1:stateCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:countryCode[1]/text()) or ns1:countryCode != null">
												<xsl:for-each select="ns1:countryCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>|||</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:placeOfPerformanceZIPCode[1]/text()) or ns1:placeOfPerformanceZIPCode != null">
									<xsl:for-each select="ns1:placeOfPerformanceZIPCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:placeOfPerformanceCongressionalDistrict[1]/text()) or ns1:placeOfPerformanceCongressionalDistrict != null">
									<xsl:for-each select="ns1:placeOfPerformanceCongressionalDistrict">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:competition">
						<xsl:for-each select="ns1:competition">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:extentCompeted[1]/text()) or ns1:extentCompeted != null">
									<xsl:for-each select="ns1:extentCompeted">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:competitiveProcedures[1]/text()) or ns1:competitiveProcedures != null">
									<xsl:for-each select="ns1:competitiveProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:solicitationProcedures[1]/text()) or ns1:solicitationProcedures != null">
									<xsl:for-each select="ns1:solicitationProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfSetAside[1]/text()) or ns1:typeOfSetAside != null">
									<xsl:for-each select="ns1:typeOfSetAside">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:evaluatedPreference[1]/text()) or ns1:evaluatedPreference != null">
									<xsl:for-each select="ns1:evaluatedPreference">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:research[1]/text()) or ns1:research != null">
									<xsl:for-each select="ns1:research">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:statutoryExceptionToFairOpportunity[1]/text()) or ns1:statutoryExceptionToFairOpportunity != null">
									<xsl:for-each select="ns1:statutoryExceptionToFairOpportunity">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonNotCompeted[1]/text()) or ns1:reasonNotCompeted != null">
									<xsl:for-each select="ns1:reasonNotCompeted">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:numberOfOffersReceived[1]/text()) or ns1:numberOfOffersReceived != null">
									<xsl:for-each select="ns1:numberOfOffersReceived">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:commercialItemAcquisitionProcedures[1]/text()) or ns1:commercialItemAcquisitionProcedures != null">
									<xsl:for-each select="ns1:commercialItemAcquisitionProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:commercialItemTestProgram[1]/text()) or ns1:commercialItemTestProgram != null">
									<xsl:for-each select="ns1:commercialItemTestProgram">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:smallBusinessCompetitivenessDemonstrationProgram[1]/text()) or ns1:smallBusinessCompetitivenessDemonstrationProgram != null">
									<xsl:for-each select="ns1:smallBusinessCompetitivenessDemonstrationProgram">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:preAwardSynopsisRequirement[1]/text()) or ns1:preAwardSynopsisRequirement != null">
									<xsl:for-each select="ns1:preAwardSynopsisRequirement">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:synopsisWaiverException[1]/text()) or ns1:synopsisWaiverException != null">
									<xsl:for-each select="ns1:synopsisWaiverException">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:alternativeAdvertising[1]/text()) or ns1:alternativeAdvertising != null">
									<xsl:for-each select="ns1:alternativeAdvertising">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:A76Action[1]/text()) or ns1:A76Action != null">
									<xsl:for-each select="ns1:A76Action">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:priceEvaluationPercentDifference[1]/text()) or ns1:priceEvaluationPercentDifference != null">
									<xsl:for-each select="ns1:priceEvaluationPercentDifference">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:preferencePrograms">
						<xsl:for-each select="ns1:preferencePrograms">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:subcontractPlan[1]/text()) or ns1:subcontractPlan != null">
									<xsl:for-each select="ns1:subcontractPlan">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonNotAwardedToSmallDisadvantagedBusiness[1]/text()) or ns1:reasonNotAwardedToSmallDisadvantagedBusiness != null">
									<xsl:for-each select="ns1:reasonNotAwardedToSmallDisadvantagedBusiness">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonNotAwardedToSmallBusiness[1]/text()) or ns1:reasonNotAwardedToSmallBusiness != null">
									<xsl:for-each select="ns1:reasonNotAwardedToSmallBusiness">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:transactionInformation">
						<xsl:for-each select="ns1:transactionInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:createdBy[1]/text()) or ns1:createdBy != null">
									<xsl:for-each select="ns1:createdBy">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:createdDate[1]/text()) or ns1:createdDate != null">
									<xsl:for-each select="ns1:createdDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:lastModifiedBy[1]/text()) or ns1:lastModifiedBy != null">
									<xsl:for-each select="ns1:lastModifiedBy">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:lastModifiedDate[1]/text()) or ns1:lastModifiedDate != null">
									<xsl:for-each select="ns1:lastModifiedDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:status[1]/text()) or ns1:status != null">
									<xsl:for-each select="ns1:status">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:agencySpecificAwardElements">
						<xsl:for-each select="ns1:agencySpecificAwardElements">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:agencyID[1]/text()) or ns1:agencyID!= null">
									<xsl:for-each select="ns1:agencyID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:NASASpecificAwardElements">
									<xsl:for-each select="ns1:NASASpecificAwardElements">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:offerorsProposalNumber[1]/text()) or ns1:offerorsProposalNumber!= null">
												<xsl:for-each select="ns1:offerorsProposalNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:PRNumber[1]/text()) or ns1:PRNumber!= null">
												<xsl:for-each select="ns1:PRNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:closeoutPR[1]/text()) or ns1:closeoutPR!= null">
												<xsl:for-each select="ns1:closeoutPR">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:procurementPlacementCode[1]/text()) or ns1:procurementPlacementCode!= null">
												<xsl:for-each select="ns1:procurementPlacementCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:solicitationIssueDate[1]/text()) or ns1:solicitationIssueDate!= null">
												<xsl:for-each select="ns1:solicitationIssueDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="ns1:listOfContractAdministrationsDelegated">
												<xsl:for-each select="ns1:listOfContractAdministrationsDelegated">
													<xsl:choose>
														<xsl:when test="normalize-space(ns1:contractAdministrationDelegated[1]/text()) or ns1:contractAdministrationDelegated!= null">
															<xsl:for-each select="ns1:createdBy">
																<xsl:value-of select="normalize-space(.)"/>
															</xsl:for-each>|</xsl:when>
														<xsl:otherwise>|</xsl:otherwise>
													</xsl:choose>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:for-each select="ns1:advisoryOrAssistanceServicesContract">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:supportServicesTypeContract">
											<xsl:value-of select="normalize-space(.)"/></xsl:for-each>|<xsl:for-each select="ns1:newTechnologyOrPatentRightsClause">											<xsl:value-of select="normalize-space(.)"/>	</xsl:for-each>|<xsl:for-each select="ns1:managementReportingRequirements">											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:propertyFinancialReporting">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:valueEngineeringClause">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:securityCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:administratorCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:contractingOfficerCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:negotiatorCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:COTRName">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:alternateCOTRName">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:organizationCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:contractFundCode">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:isPhysicallyComplete">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:physicalCompletionDate">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:installationUnique">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:fundedThroughDate">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:cancellationDate">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:choose>
											<xsl:when test="ns1:principalInvestigator">
												<xsl:for-each select="ns1:principalInvestigator">
													<xsl:for-each select="ns1:firstName"><xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|<xsl:for-each select="ns1:middleInitial">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|<xsl:for-each select="ns1:lastName">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>|||</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="ns1:alternatePrincipalInvestigator">
												<xsl:for-each select="ns1:alternatePrincipalInvestigator">
													<xsl:for-each select="ns1:firstName">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|<xsl:for-each select="ns1:middleInitial">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|<xsl:for-each select="ns1:lastName">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>|||</xsl:otherwise>
										</xsl:choose>
										<xsl:for-each select="ns1:fieldOfScienceOrEngineering">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:finalInvoicePaidDate">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:accessionNumber">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:destroyDate">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:accountingInstallationNumber">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:otherStatutoryAuthority">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|<xsl:for-each select="ns1:wildFireProgram">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>|||||||||||||||||||||||||||||||||||||||</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||||||||||||||||||||||||||</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
